Subject: Re: bug#55305: 28.0.50: With async nativecomp, package manager fails to load hyperbole-autoloads.el before compilation

From: Stefan Monnier <[email-masked]>
Date: Sun, 15 May 2022 16:39:07 -0400

> We don't call package-activate-all at startup when Emacs is told to
> ignore user and site customizations.  That is NOT an accident, that is
> the only way to have *.elc and *.eln files that can be copied to
> another system and still work the same.  Changing this makes no sense.

I think I fully agree with you when it comes to compiling those files
which are bundled with Emacs.  But when compiling files from ELPA
packages, this would be an incompatible change, so I'm not sure it's
the right move.

        Stefan